/*
 * RoverStatus.c
 *
 *  Created on: 14 abr. 2018
 *      Author: antonio
 */

/* Standard Include */
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#include <stdio.h>

#include "common_def.h"
#include <Queues/queuedebug.h>
#include <Rover/roverstatus.h>
#include "l298n.h"



/******************************************************************************
//
//! \brief The function initalize rover status
//!
//! \param[in]  roverStatus - Pointer to a roverStatus structure
//!
//! \return None
//!
//!*****************************************************************************
 *
 */

void roverStatusInit(t_RoverStatus *roverStatus){

    l298nInit();
    roverStatus->direction = STOP;
    roverStatus->speed = 5;
    l298nSetSpeed(roverStatus->speed);
    l298nSetDirection(roverStatus->direction);

};

void roverStatusSetSpeed(t_RoverStatus *roverStatus, uint8_t speed){
    roverStatus->speed = speed;
    l298nSetSpeed(speed);
};

void roverStatusSetDirection(t_RoverStatus *roverStatus, direction_t direction){
    roverStatus->direction=direction;
    l298nSetDirection(direction);
};

uint8_t roverStatusGetSpeed(t_RoverStatus roverStatus){
    return roverStatus.speed;
}

direction_t roverStatusGetDirection(t_RoverStatus roverStatus){
    return roverStatus.direction;
}

uint8_t roverStatusGetSpeedStr(t_RoverStatus roverStatus, char *speed){

     sprintf(speed,"%d",roverStatus.speed);
     return strlen(speed);
}

uint8_t roverStatusGetDirectionStr(t_RoverStatus roverStatus, char *direction){

    uint8_t len;
    switch (roverStatus.direction){
    case FORWARD:
        strcpy(direction,"Avanzando");
        len = strlen("Avanzando");
        break;
    case STOP:
        strcpy(direction,"Detenido");
        len = strlen("Detenido");
        break;
    case BACKWARD:
        strcpy(direction,"Retrocediendo");
        len = strlen("Retrocediendo");
        break;
    case LEFT:
        strcpy(direction,"Rotando izquierda");
        len = strlen("Rotando izquierda");
        break;
    case RIGHT:
        strcpy(direction,"Rotando derecha");
        len = strlen("Rotando derecha");
        break;
    case L_FORWARD:
        strcpy(direction,"Avanzando izquierda");
        len = strlen("Avanzando izquierda");
        break;
    case R_FORWARD:
        strcpy(direction,"Avanzando derecha");
        len = strlen("Avanzando derecha");
        break;
    case L_BACKWARD:
        strcpy(direction,"Retrocediendo izquierda");
        len = strlen("Retrocediendo izquierda");
        break;
    case R_BACKWARD:
        strcpy(direction,"Retrocediendo derecha");
        len = strlen("Retrocediendo derecha");
        break;
    case LOCK_FORWARD:
        strcpy(direction,"Bloqueado");
        len = strlen("Bloqueado");
        break;

    default:
        strcpy(direction,"Desconocido");
        len = sizeof("Desconocido");
    }
    return len;


};






