/*
 * debugTask.c
 *
 *  Created on: 14 abr. 2018
 *      Author: antonio
 */



#include "debugtask.h"


/* Standard Include */
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#include <Uart/uart_term.h>

/* RTOS header files */
#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"

#include "Watchdog/watchdog.h"

#include <common_def.h>



void *debugTask(void *arg){

    char message[MAX_STRING];

    InitTerm();

    ClearTerm();

    xQueueDebugSend("[DEBUG] --- Starting debug task ---\r\n");

    /*  Task infinite loop */
    while (1){

        /* Everything is going OK, clear the watch dog */
        watchdogReset();

        /* Check debug queue */
        if (xQueueDebugReceive(message)==pdTRUE){
            Report("\r\n %s \r\n",message);;
        }

        /* Delay */
         vTaskDelay(pdMS_TO_TICKS( 100 ));

    }
}
