/*
 * networkstatus.c
 *
 *  Created on: 15 abr. 2018
 *      Author: antonio
 */

#include <Tda/networkstatus.h>


static t_NetStatus currentNetStatus;


/******************************************************************************
//
//! \brief The Function initialize netstatus structure
//!
//!        Set netstatus initial value to NET_INIT
//!
//! \return None
//!
//!*****************************************************************************
 */

void vNetStatusInit(void){
    currentNetStatus.netstatus=NET_INIT;
}

/******************************************************************************
//
//! \brief The Function set a new value in the netstatus
//!
//! \param[in]  status - Contain a new netstatus
//!
//!
//! \return None
//!
//!*****************************************************************************
 *
 */

void vNetStatusSet(net_status_t status){
    currentNetStatus.netstatus=status;
}

/******************************************************************************
//
//! \brief The Function get a value of netstatus
//!
//!
//!
//! \return net_status_t   - Return net status value
//!
//!*****************************************************************************
 *
 */

net_status_t xNetStatusGet(void){
    return currentNetStatus.netstatus;
}
