/*
 * networkstatus.h
 *
 *  This TAD keeps network status for SimpleLink task and Network task
 *
 *  Created on: 15 abr. 2018
 *      Author: antonio
 */

#ifndef TDA_NETWORKSTATUS_H_
#define TDA_NETWORKSTATUS_H_


/*  Module to keep network status */

/* This structure define all possible network status */

typedef enum {
                           HTTP_READY,
                           IP_ACQUIRED,
                           WLAN_CONNECTED,
                           WLAN_DISCONNECTED,
                           NET_INIT,
                           NET_ERROR

             } net_status_t;

typedef struct {
                net_status_t netstatus;
} t_NetStatus;

/******************************************************************************
//
//! \brief The Function initialize netstatus structure
//!
//!        Set netstatus initial value to NET_INIT
//!
//! \return None
//!
//!*****************************************************************************
*/

void vNetStatusInit(void);

/******************************************************************************
//
//! \brief The Function get a value of netstatus
//!
//!
//!
//! \return net_status_t   - Return net status value
//!
//!*****************************************************************************
 *
 */

void vNetStatusSet(net_status_t status);

/******************************************************************************
//
//! \brief The Function get a value of netstatus
//!
//!
//!
//! \return net_status_t   - Return net status value
//!
//!*****************************************************************************
 */

net_status_t xNetStatusGet(void);


#endif /* TDA_NETWORKSTATUS_H_ */
