/*
 * tmpsensor.h
 *
 *  Created on: 21 abr. 2018
 *      Author: antonio
 */

#ifndef TELEMETRY_BME280SENSORS_H_
#define TELEMETRY_BME280SENSORS_H_

#include <ti/drivers/I2C.h>

//!****************************************************************************
//!
//! \brief              This routine get parameters from BME280 sensor
//!
//! \param  i2c,    a pointer to i2cHandle
//! \param  press,  a pointer to char for keeping pressure from BME280 sensor
//! \param  temp,   a pointer to char for keeping temperature from BME280 sensor
//! \param  hum,    a pointer to char for keeping humidity from BME280 sensor
//!
//! \return none
//!
//*****************************************************************************
void bme280sensorsGetParams(I2C_Handle i2cHandle,char *press,char *temp,char *hum);

//!****************************************************************************
//!
//! \brief              This routine initializes BME280 driver
//!
//! \param  i2cHandle,  a pointer to i2cHandle
//!
//! \return none
//!
//*****************************************************************************
uint8_t bme280sensorsInit(I2C_Handle i2cHndl);

#endif /* TELEMETRY_OPTSENSOR_H_ */
