/*
 * bmi160sensors.h
 *
 *  Created on: 13 may. 2018
 *      Author: antonio
 */

#ifndef TELEMETRY_BMI160SENSORS_H_
#define TELEMETRY_BMI160SENSORS_H_

#include <ti/drivers/I2C.h>

#include "telemetry.h"

//!****************************************************************************
//!
//! \brief              This routine initializes BMI160 driver
//!
//! \param  i2cHandle,  a pointer to i2cHandle
//!
//! \return none
//!
//*****************************************************************************
void bmi160sensorsInit(I2C_Handle i2cHndl);

//!****************************************************************************
//!
//! \brief              This routine initializes BMI160 driver
//!
//! \param  i2c,    a pointer to i2cHandle
//! \param  acce,   a pointer to t_Acce structure where routine will set accelerometer values
//! \param  gyro,   a pointer to t_Gyro structure where routine will set gyroscope values
//! \param  mag,    a pointer to t_Mag structure where routine will set compass values
//!
//! \return none
//!
//*****************************************************************************
void bmi160sensorsGetParams(I2C_Handle i2c, t_Acce *acce, t_Gyro *gyro , t_Mag *mag );


#endif /* TELEMETRY_BMI160SENSORS_H_ */
