/*
 * tmpsensor.h
 *
 *  Created on: 21 abr. 2018
 *      Author: antonio
 */



#ifndef TELEMETRY_OPTSENSOR_H_
#define TELEMETRY_OPTSENSOR_H_

#include <ti/drivers/I2C.h>

//!****************************************************************************
//!
//! \brief              This routine get a measurement of ambient light
//!                     from OPT3001 optical sensor
//!
//! \param  i2cHandle,  a pointer to i2cHandle to use
//! \param  lux,        a pointer to chart structure (string) where ambient light
//!                     value in lux will be set
//!
//! \return none
//!
//*****************************************************************************
void optsensorGetLux(I2C_Handle i2cHandle,char *lux);

//!****************************************************************************
//!
//! \brief              This routine initialize OPT3001 sensor driver
//!
//! \param  none
//!
//! \return none
//!
//*****************************************************************************
void optsensorInit();



#endif /* TELEMETRY_OPTSENSOR_H_ */
