/*
 * tmpsensor.h
 *
 *  Created on: 21 abr. 2018
 *      Author: antonio
 */



#ifndef TELEMETRY_TMPSENSOR_H_
#define TELEMETRY_TMPSENSOR_H_

#include <ti/drivers/I2C.h>

//!*****************************************************************************
//!
//! \brief              This routine gets temperature from TMP701 sensor
//!
//! \param  i2cHandle,  pointer to a telemetry structure to fill in
//! \param  tmp         pointer a string to save temperature from TMP701
//!                     infrared sensor
//!
//! \return none
//!
//*****************************************************************************
void tmpsensorGetTemperature(I2C_Handle i2cHandle,char *tmp);

//!*****************************************************************************
//!
//! \brief              This routine initialize TMP701 driver
//!
//! \param  none
//!
//! \return none
//!
//*****************************************************************************
void tmpsensorInit(void);

#endif /* TELEMETRY_TMPSENSOR_H_ */
