/*
 * watchdog.h
 *
 *  Created on: 25 may. 2018
 *      Author: antonio
 */

#ifndef WATCHDOG_WATCHDOG_H_
#define WATCHDOG_WATCHDOG_H_

#include <ti/drivers/Watchdog.h>

//*************************************************************************
//!
//! \brief watchdogtask, this task is responsible of manage system watchdog
//!
//!
//! \param  arg, pointer to task arguments
//!
//! \return none
//!
//*************************************************************************

void *watchdogTask(void *arg);

//*************************************************************************
//!
//! \brief watchdogtask, this routine return a reference to the watch dog
//!
//!
//! \param  none
//!
//! \return Watchdog_Handle, a reference to the watch dog
//!
//*************************************************************************

Watchdog_Handle watchdogGetHandler();

//*************************************************************************
//!
//! \brief watchdogtask, this routine clear the watch dog
//!
//!
//! \param  Watchdog_Handle, reference to the wdg to clear
//!
//! \return retc, zero if watch dog is clear and -1 in other cases
//!
//*************************************************************************

int8_t watchdogReset(void);

#endif /* WATCHDOG_WATCHDOG_H_ */
